<?php
	if(!$_POST['Titulo'] || !$_POST['Autor'] || !$_POST['id'])
	{
		header("location:inv-index.php");
	} else
	{
		include ("../../conexion.php");
		
		$tipo=$_POST['Tipo'];
		if($tipo=="Otra") //Nuevo Tipo
		{
			$tipo=$_POST['OtraTipo'];
			if($tipo!="")
			{
				mysql_query("INSERT INTO inv_tipo (Tipo) VALUES ('".$tipo."')", $conexion);
				$consultaTipo=mysql_query("SELECT * FROM inv_tipo ORDER BY id DESC",$conexion);
				$filaTipo=mysql_fetch_array($consultaTipo);
				$tipo=$filaTipo['id'];
			} else
			{
				$tipo=1;
			}
		}
		
		$categoria=$_POST['Categoria'];
		if($categoria=="Otra") //Nueva Categoria
		{
			$categoria=$_POST['OtraCategoria'];
			if($categoria!="")
			{
				mysql_query("INSERT INTO inv_categoria (Categoria) VALUES ('".$categoria."')", $conexion);
				$consultaCategoria=mysql_query("SELECT * FROM inv_categoria ORDER BY id DESC",$conexion);
				$filaCategoria=mysql_fetch_array($consultaCategoria);
				$categoria=$filaCategoria['id'];
			} else
			{
				$categoria=1;
			}
		}
		mysql_query("UPDATE inventario SET Titulo='".$_POST['Titulo']."', Autor='".$_POST['Autor']."', Editorial='".$_POST['Editorial']."', Unidades=".$_POST['Unidades'].", Tipo=$tipo, Categoria=$categoria WHERE id=".$_POST['id'], $conexion);
		header("location:inv-index.php");
	}
?>